
##
## Supporting Information - R script for the manuscript paper entitled:
## "Systematic site selection for multi-species monitoring networks"
## Carvalho, S.[1], Gonalves, J.[1], Guisan, A.[2], Honrado, J.[1], 2015
## Journal Of Applied Ecology
## 
## [1] InBIO/CIBIO - Research Center in Biodiversity and Genetic Resources
## 	   Faculty of Sciences - University of Porto
## [2] University of Lausanne, Ecology and Evolution
## 
## Contacting author on this section: 
## Joo Gonalves (jfgoncalves[at]fc.up.pt / joaofgo[at]gmail.com)
##
## Script title: auxiliary functions for getting the number of samples 
## for each network simulation
##

setwd("D:/MyDocs/OptimMonitNetworks/")

load(paste(getwd(),"/optimSampCost.Units.RData",sep="/"))

i<-0

for(target in names(optimSamp.Units)){
  
  for(scn in names(optimSamp.Units[[target]])){
    
    tmp<-optimSamp.Units[[target]][[scn]][,-c(1,2)]
    ns<-apply(tmp,2,sum) 
    i<-i+1
  
    if(i==1){
      tmp1<-data.frame(Target=rep(target,length(tmp)), Scenario=rep(scn,length(tmp)), 
                       Replicate=1:length(tmp), NSamples=ns,stringsAsFactors=FALSE)
    }else{ 
      tmp1<-rbind(tmp1,data.frame(Target=rep(target,length(tmp)), Scenario=rep(scn,length(tmp)), 
                 Replicate=1:length(tmp), NSamples=ns,stringsAsFactors=FALSE))
    }
    cat(target,"|",scn,"|",length(tmp),"|...\n\n")
  }
}

optimSamp.Nsamp<-tmp1
save(optimSamp.Nsamp,file="optimSampCost.Nsamp.RData")
